/* 
 * File:   main.c
 * Author: Bugz Bensce
 *
 * Created on 12 March 2023, 6:47 PM
 */

#define _XTAL_FREQ  8000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/config/config_words.h"
#include "assets/TM1637/TM1637.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
    TM1637_init();
    TM1637_setBrightness(8);
    
    while (1) 
    {
        for(int count = 0; count<= 1000;  count++) 
        {
            TM1637_display(count);
            __delay_ms(1000);
        }
    }

    return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------